// Test.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#include "pch.h"
#include <iostream>

typedef double (*GETVOLATILITY)(const wchar_t*, UINT);

int main()
{

	HINSTANCE hDLL = LoadLibraryA("GETANDPARSE.dll");
	if (hDLL != NULL)
	{
		GETVOLATILITY gv = (GETVOLATILITY)GetProcAddress(hDLL, "GetVolatility");
		if (gv) {
			double res = gv(L"AUDCHF", 3);
			std::cout << "AUDCHF: " << res << endl;
		}
		else {
			 std::cout << "Error while load func"; 
		}
	}
	else { std::cout << "Error while load library"; }
}
