// GetAndParse.cpp : Defines the exported functions for the DLL application.
//

#include "stdafx.h"
#include "GetAndParse.h"
#include "CCurlExec.h"
#include "CVolatility.h"

const static char vol_url[] = "https://www.mataf.net/ru/forex/tools/volatility";

GETANDPARSE_API double GetVolatility(const wchar_t*  wszPair, UINT vtype) {
	if (!wszPair) return -1;
	if (vtype < 2 || vtype > 4) return -1;

	std::wstring w{ wszPair };
	std::string s(w.begin(), w.end());

	CCurlExec cc;
	cc.GetFiletoMem(vol_url);
	CVolatility cv;
	return cv.FindData(cc.GetBufferAsString(), s, (VOLTYPE)vtype);
}
